Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlSelectManyMenu.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlSelectManyMenu.PropertyKeys>
          javax.faces.component.html.HtmlSelectManyMenu.PropertyKeys

All Implemented Interfaces:
  Serializable, Comparable<HtmlSelectManyMenu.PropertyKeys>

Enclosing class:
  HtmlSelectManyMenu

    protected static enum HtmlSelectManyMenu.PropertyKeys

extends Enum<HtmlSelectManyMenu.PropertyKeys>

Enum Constant Summary
`accesskey`
`dir`
`disabled`
`disabledClass`
`enabledClass`
`label`
`lang`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`readonly`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`String` | `toString()`
`static HtmlSelectManyMenu.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlSelectManyMenu.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlSelectManyMenu.PropertyKeys accesskey

### dir

    public static final HtmlSelectManyMenu.PropertyKeys dir

### disabled

    public static final HtmlSelectManyMenu.PropertyKeys disabled

### disabledClass

    public static final HtmlSelectManyMenu.PropertyKeys disabledClass

### enabledClass

    public static final HtmlSelectManyMenu.PropertyKeys enabledClass

### label

    public static final HtmlSelectManyMenu.PropertyKeys label

### lang

    public static final HtmlSelectManyMenu.PropertyKeys lang

### onblur

    public static final HtmlSelectManyMenu.PropertyKeys onblur

### onchange

    public static final HtmlSelectManyMenu.PropertyKeys onchange

### onclick

    public static final HtmlSelectManyMenu.PropertyKeys onclick

### ondblclick

    public static final HtmlSelectManyMenu.PropertyKeys ondblclick

### onfocus

    public static final HtmlSelectManyMenu.PropertyKeys onfocus

### onkeydown

    public static final HtmlSelectManyMenu.PropertyKeys onkeydown

### onkeypress

    public static final HtmlSelectManyMenu.PropertyKeys onkeypress

### onkeyup

    public static final HtmlSelectManyMenu.PropertyKeys onkeyup

### onmousedown

    public static final HtmlSelectManyMenu.PropertyKeys onmousedown

### onmousemove

    public static final HtmlSelectManyMenu.PropertyKeys onmousemove

### onmouseout

    public static final HtmlSelectManyMenu.PropertyKeys onmouseout

### onmouseover

    public static final HtmlSelectManyMenu.PropertyKeys onmouseover

### onmouseup

    public static final HtmlSelectManyMenu.PropertyKeys onmouseup

### onselect

    public static final HtmlSelectManyMenu.PropertyKeys onselect

### readonly

    public static final HtmlSelectManyMenu.PropertyKeys readonly

### style

    public static final HtmlSelectManyMenu.PropertyKeys style

### styleClass

    public static final HtmlSelectManyMenu.PropertyKeys styleClass

### tabindex

    public static final HtmlSelectManyMenu.PropertyKeys tabindex

### title

    public static final HtmlSelectManyMenu.PropertyKeys title

Method Detail

### values

    public static HtmlSelectManyMenu.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlSelectManyMenu.PropertyKeys c : HtmlSelectManyMenu.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlSelectManyMenu.PropertyKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlSelectManyMenu.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.